public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/automake-wrapper/
Date: Tue, 22 Nov 2022 21:19:13 +0000 (UTC)	[thread overview]
Message-ID: <1669151932.ddb66af0fb80abaeecec24577a41e00cb8baf24f.sam@gentoo> (raw)

commit:     ddb66af0fb80abaeecec24577a41e00cb8baf24f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 21:16:46 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 21:18:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddb66af0

sys-devel/automake-wrapper: add 99999999

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../automake-wrapper-99999999.ebuild               | 41 ++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/sys-devel/automake-wrapper/automake-wrapper-99999999.ebuild b/sys-devel/automake-wrapper/automake-wrapper-99999999.ebuild
new file mode 100644
index 000000000000..ecb9a1b0530c
--- /dev/null
+++ b/sys-devel/automake-wrapper/automake-wrapper-99999999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Wrapper for automake to manage multiple automake versions"
+HOMEPAGE="https://gitweb.gentoo.org/proj/autotools-wrappers.git"
+
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/autotools-wrappers.git"
+	inherit git-r3
+else
+	SRC_URI="https://gitweb.gentoo.org/proj/autotools-wrappers.git/snapshot/${MY_P}.tar.gz"
+
+	KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+	S="${WORKDIR}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+src_prepare() {
+	default
+
+	# usr/bin/aclocal: bad substitution -> /bin/sh != POSIX shell
+	if use prefix ; then
+		sed -i -e '1c\#!'"${EPREFIX}"'/bin/sh' am-wrapper-${PV}.sh || die
+	fi
+}
+
+src_install() {
+	exeinto /usr/$(get_libdir)/misc
+	doexe am-wrapper.sh
+
+	local x=
+	for x in automake aclocal ; do
+		dosym -r /usr/$(get_libdir)/misc/am-wrapper.sh /usr/bin/${x}
+	done
+
+	keepdir /usr/share/aclocal
+}


             reply	other threads:[~2022-11-22 21:19 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-22 21:19 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-24  1:07 [gentoo-commits] repo/gentoo:master commit in: sys-devel/automake-wrapper/ Sam James
2023-03-10  7:44 Arthur Zamarin
2023-02-05 18:50 Sam James
2023-02-03  5:59 Sam James
2023-02-03  5:56 Sam James
2023-01-16  1:05 Sam James
2023-01-16  1:05 Sam James
2022-11-22 21:19 Sam James
2022-06-19 18:50 David Seifert
2021-01-06 15:32 Fabian Groffen
2020-12-27 18:18 Fabian Groffen
2020-02-08 14:18 David Seifert
2019-05-04 17:37 Mikle Kolyada
2018-12-23  0:15 Thomas Deutschmann
2017-02-20 14:11 Michael Haubenwallner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669151932.ddb66af0fb80abaeecec24577a41e00cb8baf24f.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox